Difference between revisions of "Ubuntu nl"

From WineHQ Wiki
Jump to: navigation, search
 
(13 intermediate revisions by the same user not shown)
Line 5: Line 5:
 
{|style="width: 100%;"
 
{|style="width: 100%;"
 
|-
 
|-
|{{info}} Op 19 december 2018 is de verificatiesleutel van de WineHQ server gewijzigd. Mocht de sleutel voor die tijd zijn gebruikt, dan moet deze opnieuw worden toegevoegd.
+
|
 +
{{info}} Op 19 december 2018 is de verificatiesleutel van de WineHQ server gewijzigd. Mocht de sleutel voor die tijd zijn gebruikt, dan moet deze opnieuw worden toegevoegd.
  
 
{{warning}} Deze handleiding gaat er vanuit dat alleen officiële Ubuntu pakketten geïnstalleerd zijn. Bij het gebruik van zogenaamde PPA's kunnen er afhankelijkheidsproblemen ontstaan.
 
{{warning}} Deze handleiding gaat er vanuit dat alleen officiële Ubuntu pakketten geïnstalleerd zijn. Bij het gebruik van zogenaamde PPA's kunnen er afhankelijkheidsproblemen ontstaan.
 +
Om helemaal zeker te zijn, verwijder dan eerst de Wine pakketten en de afhankelijkheden daarvan (wine, wine32, wine64, wine-mono, wine-gecko, enzovoort).
  
Om helemaal zeker te zijn, verwijder eerst de Wine pakketten van de distributie (wine-mono, wine-gecko, enzovoort).
+
{{warning}} Apt-key is verouderd. Mocht hier een melding over komen, verwijder dan de WineHQ-sleutel met:</br>
 +
<code>sudo apt-key del "D43F 6401 4536 9C51 D786 DDEA 76F1 A20F F987 672F"</code>.</br>
 +
Verwijder hierna de regel van het WineHQ-archief uit <tt>/etc/apt/sources.list</tt>.
 
|style="width:10%;"|[[File:Icon-distro-ubuntu.png|center]]
 
|style="width:10%;"|[[File:Icon-distro-ubuntu.png|center]]
 
|-
 
|-
Line 15: Line 19:
  
 
== Voorbereiding ==
 
== Voorbereiding ==
 
+
Voor alle versies van '''Ubuntu''' en distributies die daarvan zijn afgeleid, zoals '''Linux Mint''', moeten de onderstaande stappen doorlopen worden.
{|class="wikitable" style="width: 100%;"
 
|colspan="3" style="text-align:center; color:white; background-color:#732010; font-size:large;"|'''Ubuntu'''
 
|-
 
|colspan="3" style="text-align:center;"|Voor alle versies van '''Ubuntu''' en distributies die daarvan zijn afgeleid, zoals '''Linux Mint''', moeten de onderstaande stappen doorlopen worden.
 
|}
 
  
 
* Op 64-bit systemen moeten ook de 32-bit pakketten geïnstalleerd kunnen worden. Controleer dit met:
 
* Op 64-bit systemen moeten ook de 32-bit pakketten geïnstalleerd kunnen worden. Controleer dit met:
Line 33: Line 32:
  
 
  wget -nc https://dl.winehq.org/wine-builds/winehq.key
 
  wget -nc https://dl.winehq.org/wine-builds/winehq.key
  sudo apt-key add winehq.key
+
  sudo mv winehq.key /usr/share/keyrings/winehq-archive.key
 
 
* Controleer of de bovenstaande stappen goed zijn gegaan. Het volgende commando mag geen fouten teruggeven:
 
 
 
sudo apt update
 
 
 
* Volg nu de stappen die bij het versienummer horen.
 
  
 
== WineHQ archief toevoegen ==
 
== WineHQ archief toevoegen ==
  
{|class="wikitable" style="width: 100%;"
+
{| style="width: 100%" class="wikitable"
|colspan="3" style="text-align:center; color:white; background-color:#732010; font-size:large;"|'''Ubuntu 18.04''' – ''Bionic Beaver''
+
!Voor versie:
 +
!Gebruik deze opdracht:
 
|-
 
|-
|colspan="3" style="text-align:center;"|Gebruik de onderstaande stappen voor '''Ubuntu 18.04''' en distributies die daarvan zijn afgeleid, zoals '''Linux Mint 19.x'''
+
|Ubuntu 18.04 - ''Bionic Beaver''
 +
Linux Mint 19.x
 +
|
 +
wget -nc https://dl.winehq.org/wine-builds/ubuntu/dists/bionic/winehq-bionic.sources
 +
sudo mv winehq-bionic.sources /etc/apt/sources.list.d/
 +
|-
 +
|Ubuntu 20.04 - ''Focal Fossa''
 +
Linux Mint 20.x
 +
|
 +
wget -nc https://dl.winehq.org/wine-builds/ubuntu/dists/focal/winehq-focal.sources
 +
sudo mv winehq-focal.sources /etc/apt/sources.list.d/
 +
|-
 +
|Ubuntu 21.10 - ''Impish Indri''
 +
|
 +
wget -nc https://dl.winehq.org/wine-builds/ubuntu/dists/impish/winehq-impish.sources
 +
sudo mv winehq-impish.sources /etc/apt/sources.list.d/
 +
|-
 +
|Ubuntu 22.04 - ''Jammy Jellyfish''
 +
|
 +
wget -nc https://dl.winehq.org/wine-builds/ubuntu/dists/jammy/winehq-jammy.sources
 +
sudo mv winehq-jammy.sources /etc/apt/sources.list.d/
 
|}
 
|}
  
* Download en installeer de '''<tt>libfaudio0</tt>''' pakketten:
+
Werk de pakketbronnen bij met:
 +
sudo apt update
  
 +
== Wine installeren ==
 +
 +
{{warning}} Tegenwoordig heeft Wine de '''libfaudio0''' pakketten als afhankelijkheid. Deze moeten voor '''Ubuntu 18.04/ Linux Mint 19.x''' handmatig worden geïnstalleerd. Op het [https://forum.winehq.org/viewtopic.php?f=8&t=32192 forum] staat hier meer informatie over.
 +
<div class="mw-customtoggle-ubuntu1804" style="outline: auto 0px;">
 +
<span>Of <u>klik hier</u> voor een simpele beschrijving.</span>
 +
</div>
 +
<div class="mw-collapsible mw-collapsed" id="mw-customcollapsible-ubuntu1804">
 
  wget -nc https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/i386/libfaudio0_19.07-0~bionic_i386.deb
 
  wget -nc https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/i386/libfaudio0_19.07-0~bionic_i386.deb
 
  wget -nc https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/amd64/libfaudio0_19.07-0~bionic_amd64.deb
 
  wget -nc https://download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/amd64/libfaudio0_19.07-0~bionic_amd64.deb
 
  sudo dpkg -i libfaudio0_19.07-0~bionic_i386.deb libfaudio0_19.07-0~bionic_amd64.deb
 
  sudo dpkg -i libfaudio0_19.07-0~bionic_i386.deb libfaudio0_19.07-0~bionic_amd64.deb
 
  sudo apt -f install
 
  sudo apt -f install
 +
</div>
  
* Voeg het WineHQ archief toe aan het systeem:
+
WineHQ brengt drie verschillende versies van '''<tt>wine</tt>''' uit. Lees de [[Gebruikershandleiding#Wine_van_WineHQ|gebruikershandleiding]] over de verschillen tussen de versies. Kies '''één''' van deze versies en installeer die met:
  
sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'
+
{| style="width: 100%" class="wikitable"
sudo apt update
+
| '''Stabiel''' - ''stable''
 
+
|
{|class="wikitable" style="width: 100%;"
+
sudo apt install --install-recommends winehq-stable
|colspan="3" style="text-align:center; color:white; background-color:#732010; font-size:large;"|'''Ubuntu 20.04''' ''Focal Fossa''
 
 
|-
 
|-
|colspan="3" style="text-align:center;"|Gebruik de onderstaande stappen voor '''Ubuntu 20.04''' en distributies die daarvan zijn afgeleid, zoals '''Linux Mint 20.x'''
+
| '''Ontwikkeling''' - ''development''
|}
+
|
 
+
  sudo apt install --install-recommends winehq-devel
* Voeg het WineHQ archief toe aan het systeem:
 
 
 
  sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main'
 
sudo apt update
 
 
 
{|class="wikitable" style="width: 100%;"
 
|colspan="3" style="text-align:center; color:white; background-color:#732010; font-size:large;"|'''Ubuntu 20.10''' – ''Groovy Gorilla''
 
 
|-
 
|-
|colspan="3" style="text-align:center;"|Gebruik de onderstaande stappen voor '''Ubuntu 20.10''' en distributies die daarvan zijn afgeleid.
+
| '''Staging'''
 +
|
 +
sudo apt install --install-recommends winehq-staging
 
|}
 
|}
 +
Mocht er een melding komen dat een afhankelijkheid niet geïnstalleerd kan worden, lees dan de [[FAQ_nl#Ik_krijg_een_foutmelding_dat_Wine_niet_ge.C3.Afnstalleerd_kan_worden.2C_omdat_sommige_afhankelijkheden_niet_opgelost_kunnen_worden.|wiki]].
  
* Voeg het WineHQ archief toe aan het systeem:
+
=== Extra ===
  
sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ groovy main'
+
De volgende pakketten zijn geen afhankelijkheden van Wine, maar sommige Windows programma's kunnen de pakketten wel nodig hebben of zijn handig om te gebruiken.
sudo apt update
 
 
 
== Wine installeren ==
 
 
 
WineHQ brengt drie verschillende versies van '''<tt>wine</tt>''' uit. Lees de [[Gebruikershandleiding#Wine_van_WineHQ|gebruikershandleiding]] over de verschillen tussen de versies. Kies '''één''' van deze versies en installeer die met:
 
 
 
* '''Stabiel''' - ''stable''
 
sudo apt install --install-recommends winehq-stable
 
 
 
* '''Ontwikkeling''' - ''development''
 
sudo apt install --install-recommends winehq-devel
 
 
 
* '''Staging'''
 
sudo apt install --install-recommends winehq-staging
 
 
 
Mocht er een melding komen dat een afhankelijkheid niet geïnstalleerd kan worden, lees dan de [[FAQ_nl#Ik_krijg_een_foutmelding_dat_Wine_niet_ge.C3.Afnstalleerd_kan_worden.2C_omdat_sommige_afhankelijkheden_niet_opgelost_kunnen_worden.|wiki]].
 
----
 
De volgende twee pakketten zijn geen afhankelijkheden van Wine, maar sommige Windows programma's kunnen de pakketten wel nodig hebben.
 
 
* '''ttf-mscorefonts-installer'''
 
* '''ttf-mscorefonts-installer'''
 
: Dit pakket installeert de Windows lettertypes. Sommige programma's starten niet op als deze ontbreken.
 
: Dit pakket installeert de Windows lettertypes. Sommige programma's starten niet op als deze ontbreken.
 +
: {{warning}} Dit pakket heeft een eigen licentie.
 
* '''winbind'''
 
* '''winbind'''
 
: Wine geeft de volgende foutmelding als dit pakket nodig is:
 
: Wine geeft de volgende foutmelding als dit pakket nodig is:
 
  err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
 
  err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
----
+
* '''winetricks'''
 +
: In veel handleidingen van Wine komen zogenaamde ''winetricks'' voor. Lees de [[Winetricks_nl|winetricks]] wiki pagina voor meer informatie.
  
 
=== Verschillen tussen de WineHQ pakketten en die van Ubuntu ===
 
=== Verschillen tussen de WineHQ pakketten en die van Ubuntu ===
Line 114: Line 116:
 
* Er worden '''geen''' items in het menu gemaakt voor <tt>winecfg</tt> en andere ingebouwde programma's van Wine.
 
* Er worden '''geen''' items in het menu gemaakt voor <tt>winecfg</tt> en andere ingebouwde programma's van Wine.
  
* Windows <tt>.exe</tt> bestanden worden '''niet''' automatisch met <tt>wine</tt> geopend. Lees de [http://manpages.ubuntu.com/manpages/groovy/en/man8/update-binfmts.8.html | handleiding van <tt>update-binfmts</tt> om dit handmatig in te stellen.
+
* Windows <tt>.exe</tt> bestanden worden '''niet''' automatisch met <tt>wine</tt> geopend. Lees de [http://manpages.ubuntu.com/manpages/groovy/en/man8/update-binfmts.8.html handleiding] van <tt>update-binfmts</tt> om dit handmatig in te stellen.
  
 
* Er zijn '''geen''' pakketten voor <tt>wine-mono</tt> en <tt>wine-gecko</tt>. Deze worden automatisch gedownload en geïnstalleerd als Wine voor de eerste keer wordt gestart of als er een nieuwe wineprefix wordt gemaakt. Als dit niet lukt, lees dan de wiki pagina's van [https://wiki.winehq.org/Gecko Gecko] of [https://wiki.winehq.org/Mono Mono].
 
* Er zijn '''geen''' pakketten voor <tt>wine-mono</tt> en <tt>wine-gecko</tt>. Deze worden automatisch gedownload en geïnstalleerd als Wine voor de eerste keer wordt gestart of als er een nieuwe wineprefix wordt gemaakt. Als dit niet lukt, lees dan de wiki pagina's van [https://wiki.winehq.org/Gecko Gecko] of [https://wiki.winehq.org/Mono Mono].

Latest revision as of 11:52, 14 April 2022


Vertalingen van deze pagina: English language.svg English Flag of the People's Republic of China.svg简体中文

WineHQ pakketten installeren

Tango-style info icon.svg Op 19 december 2018 is de verificatiesleutel van de WineHQ server gewijzigd. Mocht de sleutel voor die tijd zijn gebruikt, dan moet deze opnieuw worden toegevoegd.

Dialog-warning.svg Deze handleiding gaat er vanuit dat alleen officiële Ubuntu pakketten geïnstalleerd zijn. Bij het gebruik van zogenaamde PPA's kunnen er afhankelijkheidsproblemen ontstaan. Om helemaal zeker te zijn, verwijder dan eerst de Wine pakketten en de afhankelijkheden daarvan (wine, wine32, wine64, wine-mono, wine-gecko, enzovoort).

Dialog-warning.svg Apt-key is verouderd. Mocht hier een melding over komen, verwijder dan de WineHQ-sleutel met:
sudo apt-key del "D43F 6401 4536 9C51 D786 DDEA 76F1 A20F F987 672F".
Verwijder hierna de regel van het WineHQ-archief uit /etc/apt/sources.list.

Icon-distro-ubuntu.png

Voorbereiding

Voor alle versies van Ubuntu en distributies die daarvan zijn afgeleid, zoals Linux Mint, moeten de onderstaande stappen doorlopen worden.

  • Op 64-bit systemen moeten ook de 32-bit pakketten geïnstalleerd kunnen worden. Controleer dit met:
dpkg --print-foreign-architectures
  • Als hier geen i386 wordt teruggegeven, voeg deze toe met:
sudo dpkg --add-architecture i386
  • Voeg de verificatiesleutel van de WineHQ server toe aan het systeem:
wget -nc https://dl.winehq.org/wine-builds/winehq.key
sudo mv winehq.key /usr/share/keyrings/winehq-archive.key

WineHQ archief toevoegen

Voor versie: Gebruik deze opdracht:
Ubuntu 18.04 - Bionic Beaver

Linux Mint 19.x

wget -nc https://dl.winehq.org/wine-builds/ubuntu/dists/bionic/winehq-bionic.sources
sudo mv winehq-bionic.sources /etc/apt/sources.list.d/
Ubuntu 20.04 - Focal Fossa

Linux Mint 20.x

wget -nc https://dl.winehq.org/wine-builds/ubuntu/dists/focal/winehq-focal.sources
sudo mv winehq-focal.sources /etc/apt/sources.list.d/
Ubuntu 21.10 - Impish Indri
wget -nc https://dl.winehq.org/wine-builds/ubuntu/dists/impish/winehq-impish.sources
sudo mv winehq-impish.sources /etc/apt/sources.list.d/
Ubuntu 22.04 - Jammy Jellyfish
wget -nc https://dl.winehq.org/wine-builds/ubuntu/dists/jammy/winehq-jammy.sources
sudo mv winehq-jammy.sources /etc/apt/sources.list.d/

Werk de pakketbronnen bij met:

sudo apt update

Wine installeren

Dialog-warning.svg Tegenwoordig heeft Wine de libfaudio0 pakketten als afhankelijkheid. Deze moeten voor Ubuntu 18.04/ Linux Mint 19.x handmatig worden geïnstalleerd. Op het forum staat hier meer informatie over.

Of klik hier voor een simpele beschrijving.

WineHQ brengt drie verschillende versies van wine uit. Lees de gebruikershandleiding over de verschillen tussen de versies. Kies één van deze versies en installeer die met:

Stabiel - stable
sudo apt install --install-recommends winehq-stable
Ontwikkeling - development
sudo apt install --install-recommends winehq-devel
Staging
sudo apt install --install-recommends winehq-staging

Mocht er een melding komen dat een afhankelijkheid niet geïnstalleerd kan worden, lees dan de wiki.

Extra

De volgende pakketten zijn geen afhankelijkheden van Wine, maar sommige Windows programma's kunnen de pakketten wel nodig hebben of zijn handig om te gebruiken.

  • ttf-mscorefonts-installer
Dit pakket installeert de Windows lettertypes. Sommige programma's starten niet op als deze ontbreken.
Dialog-warning.svg Dit pakket heeft een eigen licentie.
  • winbind
Wine geeft de volgende foutmelding als dit pakket nodig is:
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
  • winetricks
In veel handleidingen van Wine komen zogenaamde winetricks voor. Lees de winetricks wiki pagina voor meer informatie.

Verschillen tussen de WineHQ pakketten en die van Ubuntu

Tango-style info icon.svg Vervang <soort> met stable, devel of staging

  • Wine wordt geïnstalleerd in /opt/wine-<soort>
  • Er worden geen items in het menu gemaakt voor winecfg en andere ingebouwde programma's van Wine.
  • Windows .exe bestanden worden niet automatisch met wine geopend. Lees de handleiding van update-binfmts om dit handmatig in te stellen.
  • Er zijn geen pakketten voor wine-mono en wine-gecko. Deze worden automatisch gedownload en geïnstalleerd als Wine voor de eerste keer wordt gestart of als er een nieuwe wineprefix wordt gemaakt. Als dit niet lukt, lees dan de wiki pagina's van Gecko of Mono.
  • Vanaf Wine 5.7 kunnen de WineHQ pakketten ingesteld worden met debconf om gebruik te maken van CAP_NET_RAW. Veel programma's hebben dit niet nodig en is om veiligheidsredenen uitgeschakeld. Als dit wel nodig is (omdat bijvoorbeeld het programma het ping commando nodig heeft) voer dan de volgende opdracht uit en beantwoord de drie vragen met "ja":
sudo dpkg-reconfigure wine-<soort>-amd64 wine-<soort> wine-<soort>-i386

Wine zelf compileren

Om een volledige Wine installatie (WoW64) zelf in elkaar te zetten, moet het besturingssysteem volledig multiarch zijn. Helaas is dit nog niet het geval op Ubuntu; het is nog niet mogelijk om alle 64- en 32-bit afhankelijkheden die nodig zijn om Wine te compileren samen te installeren. Een oplossing is het gebruik van containers. Lees Building Biarch Wine On Ubuntu en Building Wine voor meer informatie.

Meer informatie